
/*
// Wichtig LCD_CS 10K Widerstand nach 3,3V!!

//	ATMEGA644 3,3V				DOGS102		DOGM128
// -----------------------------------------------------------------------------
// LCD_A0/CD   PB2 (Pin 2) -> 	PIN 26		PIN 38
// LCD_RST     PB3 (Pin 3) ->	PIN 27 		PIN 39
// LCD_CS      PB4 (Pin 4) -> 	PIN 28 		PIN 40
// MOSI        PB5 (Pin 5) -> 	PIN 25		PIN 37
// SCK         PCB (Pin 7) -> 	PIN 24		PIN 36

// #define DISPLAY_TYPE  128/102  in der lcd_dogm128.h

*/

#include "tools.h"

	// bindet printf() mit DOGM128/DOGS102 ein 
static FILE mystdout  = FDEV_SETUP_STREAM(dogs128_putchar, NULL, _FDEV_SETUP_WRITE); 


int main (void)
{
	Port_Init();  	// Ports initialisieren in spi.c
	Spi_Init();   	// SPI fr Display initialisieren in spi.c
	Lcd_Init();   	// LCD Initialisieren in lcd_dogm128.c
	Font_SystemFont();
	stdout = &mystdout; // bindet printf() ein 

	Lcd_Clear();
	Lcd_Show();
		
	Font_SetPos(10,23); printf("DOGM128_Graphic");
	Lcd_Rectangle(0,20 ,101,15, FRAMED);
	Lcd_Show(); //  wichtig, aktualisiert Display	
	
	while(1)
	{	
	
	nop();
    }

return 0;
} 

int dogs128_putchar(char c, FILE *stream) // // bindet printf() ein
{
 	Font_DrawChar(c);
    return 0;
}


